# Inbound shares

Currently inbound shares are not managed by SnowDDL and should be created manually by `ACCOUNTADMIN`. Setting up inbound shares normally requires some additional steps performed outside of Snowflake. Also, only one `DATABASE` can be created for each inbound share, which limits [env prefix](/guides/other-guides/env-prefix.md) functionality.

Creation of inbound shares and databases are explained in [Snowflake documentation](https://docs.snowflake.com/en/user-guide/data-share-consumers).

1. Configure outbound share to target your account. Make sure it is available using `SHOW SHARES` command.
2. Run `CREATE DATABASE <db_name> FROM SHARE <share_name>`.

Once the initial configuration is done, you may grant access to objects in share to [business roles](/basic/yaml-configs/business-role.md) using `share_read` parameter:

* Use share name to grant access to all objects using IMPORTED PRIVILEGES;
* Use database role name in share to grant access to this database role only;

For example:

```yaml
share_read:
  - snowflake                 # this grants access to an entire SNOWFLAKE share
  - snowflake.object_viewer   # this grants access to OBJECT_VIEWER database role only
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowddl.com/guides/other-guides/inbound-shares.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
